#import <Foundation/NSObject.h>
#import <Foundation/NSString.h>
#import <Foundation/Foundation.h>
// Obično se interface smješta u posebnu datoteku zaglavlja
// Kontakt.h
@interface Kontakt: NSObject 
{
	// razina pristua varijabli je stavljen na private što
	// znači da im izravno mogu pristupiti samo metode
	// klase Kontakt. Sve ostale metode varijablama pristupaju
	// pomoću "getter" i "setter" metoda ove klase
	@private
    NSString * imePrezime;
    NSString * adresa;
}
	-(void) setImePrezime: (NSString *) ip;
	-(void) setAdresa: (NSString *) adr;
	-(NSString *) getImePrezime;
	-(NSString *) getAdresa;
	-(void) ispisiKontakt;
@end
// Ako je interface naveden u datoteci zaglavlja, ona se
// importira 
//import<Kontakt.h>
@implementation Kontakt
-(NSString*) getImePrezime {
    return imePrezime;
}
-(NSString*) getAdresa {
    return adresa;
}
-(void) setImePrezime: (NSString*) ip {
    imePrezime = ip;
}
-(void) setAdresa: (NSString*) ad {
    adresa = ad;
}
-(void) ispisiKontakt {
 NSLog(@"Ime i prezime: %@\nAdresa: %@\n", [self getImePrezime] , [self getAdresa] );

}
@end
// Glavni dio programa koji pokazuje korištenje klase
int main(int argc, const char * argv[]){
   Kontakt *k1 = [[Kontakt alloc] init];
   Kontakt *k2 = [[Kontakt alloc] init];
   [k1 setImePrezime:@"Ana Anić"];
   [k1 setAdresa:@"Vukovarska 71, Dubrovnik"];
   [k2 setImePrezime:@"Pero Perić"];
   [k2 setAdresa:@"Splitski put 40b, Dubrovnik"];
   [k1 ispisiKontakt];
   [k2 ispisiKontakt];
   return 0;
}
